<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_181) on Mon Apr 01 14:30:48 IST 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Class io.mosip.registration.exception.RegBaseCheckedException (registration-services 0.10.0 API)</title>
<meta name="date" content="2019-04-01">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class io.mosip.registration.exception.RegBaseCheckedException (registration-services 0.10.0 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/exception/class-use/RegBaseCheckedException.html" target="_top">Frames</a></li>
<li><a href="RegBaseCheckedException.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Class io.mosip.registration.exception.RegBaseCheckedException" class="title">Uses of Class<br>io.mosip.registration.exception.RegBaseCheckedException</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.dao">io.mosip.registration.dao</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.dao.impl">io.mosip.registration.dao.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.device.fp">io.mosip.registration.device.fp</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.device.gps">io.mosip.registration.device.gps</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.device.gps.impl">io.mosip.registration.device.gps.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.device.iris">io.mosip.registration.device.iris</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.device.webcam">io.mosip.registration.device.webcam</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service">io.mosip.registration.service</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.external">io.mosip.registration.service.external</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.external.impl">io.mosip.registration.service.external.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.impl">io.mosip.registration.service.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.packet">io.mosip.registration.service.packet</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.service.packet.impl">io.mosip.registration.service.packet.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#io.mosip.registration.service.sync">io.mosip.registration.service.sync</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#io.mosip.registration.util.restclient">io.mosip.registration.util.restclient</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="io.mosip.registration.dao">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a> in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/package-summary.html">io.mosip.registration.dao</a> that throw <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">UserOnboardDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/UserOnboardDAO.html#getCenterID-java.lang.String-">getCenterID</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;stationID)</code>
<div class="block">Get center ID using stationID.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">MachineMappingDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/MachineMappingDAO.html#getCenterID-java.lang.String-">getCenterID</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;stationID)</code>
<div class="block">Get center ID using stationID</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">UserOnboardDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/UserOnboardDAO.html#getStationID-java.lang.String-">getStationID</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;MacAddress)</code>
<div class="block">Get Station ID by using mac address.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">MachineMappingDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/MachineMappingDAO.html#getStationID-java.lang.String-">getStationID</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;MacAddress)</code>
<div class="block">Get Station ID by using mac address</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/UserDetail.html" title="class in io.mosip.registration.entity">UserDetail</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MachineMappingDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/MachineMappingDAO.html#getUsers-java.lang.String-">getUsers</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ceneterID)</code>
<div class="block">Get List of users through centerId</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAO.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/RegistrationDAO.html#save-java.lang.String-io.mosip.registration.dto.RegistrationDTO-">save</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;zipFileName,
    <a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registrationDTO)</code>
<div class="block">Saves the Registration entity.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.dao.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a> in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/dao/impl/package-summary.html">io.mosip.registration.dao.impl</a> that throw <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">UserOnboardDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/UserOnboardDAOImpl.html#getCenterID-java.lang.String-">getCenterID</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;stationId)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">MachineMappingDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MachineMappingDAOImpl.html#getCenterID-java.lang.String-">getCenterID</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;stationID)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">UserOnboardDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/UserOnboardDAOImpl.html#getStationID-java.lang.String-">getStationID</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;macAdres)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">MachineMappingDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MachineMappingDAOImpl.html#getStationID-java.lang.String-">getStationID</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;macAddress)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/entity/UserDetail.html" title="class in io.mosip.registration.entity">UserDetail</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">MachineMappingDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/MachineMappingDAOImpl.html#getUsers-java.lang.String-">getUsers</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;ceneterID)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">RegistrationDAOImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/dao/impl/RegistrationDAOImpl.html#save-java.lang.String-io.mosip.registration.dto.RegistrationDTO-">save</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;zipFileName,
    <a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registrationDTO)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.device.fp">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a> in <a href="../../../../../io/mosip/registration/device/fp/package-summary.html">io.mosip.registration.device.fp</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/device/fp/package-summary.html">io.mosip.registration.device.fp</a> that throw <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FingerprintFacade.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/device/fp/FingerprintFacade.html#getFingerPrintImageAsDTO-io.mosip.registration.dto.biometric.FingerprintDetailsDTO-java.lang.String-">getFingerPrintImageAsDTO</a></span>(<a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html" title="class in io.mosip.registration.dto.biometric">FingerprintDetailsDTO</a>&nbsp;fpDetailsDTO,
                        <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fingerType)</code>
<div class="block">Gets the finger print image as DTO.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">FingerprintFacade.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/device/fp/FingerprintFacade.html#segmentFingerPrintImage-io.mosip.registration.dto.biometric.FingerprintDetailsDTO-java.lang.String:A-">segmentFingerPrintImage</a></span>(<a href="../../../../../io/mosip/registration/dto/biometric/FingerprintDetailsDTO.html" title="class in io.mosip.registration.dto.biometric">FingerprintDetailsDTO</a>&nbsp;fingerprintDetailsDTO,
                       <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>[]&nbsp;filePath)</code>
<div class="block">Segment finger print image.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.device.gps">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a> in <a href="../../../../../io/mosip/registration/device/gps/package-summary.html">io.mosip.registration.device.gps</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/device/gps/package-summary.html">io.mosip.registration.device.gps</a> that throw <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">MosipGPSProvider.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/device/gps/MosipGPSProvider.html#getComPortGPSData-java.lang.String-int-">getComPortGPSData</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;comPortNo,
                 int&nbsp;portReadWaitTime)</code>
<div class="block">This method connect to the GPS device in the mentioned port and wait for
 certain time to receive the data from the device.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">GPSProvider.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/device/gps/GPSProvider.html#getComPortGPSData-java.lang.String-int-">getComPortGPSData</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;comPortNo,
                 int&nbsp;portReadWaitTime)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/device/gps/impl/GPSBU343Connector.GPSPosition.html" title="class in io.mosip.registration.device.gps.impl">GPSBU343Connector.GPSPosition</a></code></td>
<td class="colLast"><span class="typeNameLabel">MosipGPSProvider.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/device/gps/MosipGPSProvider.html#signlaParser-java.lang.String-">signlaParser</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;line)</code>
<div class="block">Parses the.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract <a href="../../../../../io/mosip/registration/device/gps/impl/GPSBU343Connector.GPSPosition.html" title="class in io.mosip.registration.device.gps.impl">GPSBU343Connector.GPSPosition</a></code></td>
<td class="colLast"><span class="typeNameLabel">GPSProvider.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/device/gps/GPSProvider.html#signlaParser-java.lang.String-">signlaParser</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;line)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.device.gps.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a> in <a href="../../../../../io/mosip/registration/device/gps/impl/package-summary.html">io.mosip.registration.device.gps.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/device/gps/impl/package-summary.html">io.mosip.registration.device.gps.impl</a> that throw <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">GPSBU343Connector.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/device/gps/impl/GPSBU343Connector.html#getComPortGPSData-java.lang.String-int-">getComPortGPSData</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;portNo,
                 int&nbsp;portReadWaitTime)</code>
<div class="block"><code>getGPSData</code> is to get GPS data to get latitude and longitude .</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/device/gps/impl/GPSBU343Connector.GPSPosition.html" title="class in io.mosip.registration.device.gps.impl">GPSBU343Connector.GPSPosition</a></code></td>
<td class="colLast"><span class="typeNameLabel">GPSBU343Connector.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/device/gps/impl/GPSBU343Connector.html#signlaParser-java.lang.String-">signlaParser</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;line)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.device.iris">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a> in <a href="../../../../../io/mosip/registration/device/iris/package-summary.html">io.mosip.registration.device.iris</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/device/iris/package-summary.html">io.mosip.registration.device.iris</a> that throw <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">IrisFacade.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/device/iris/IrisFacade.html#getIrisImageAsDTO-io.mosip.registration.dto.biometric.IrisDetailsDTO-java.lang.String-">getIrisImageAsDTO</a></span>(<a href="../../../../../io/mosip/registration/dto/biometric/IrisDetailsDTO.html" title="class in io.mosip.registration.dto.biometric">IrisDetailsDTO</a>&nbsp;irisDetailsDTO,
                 <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;irisType)</code>
<div class="block">Gets the iris stub image as DTO.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.device.webcam">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a> in <a href="../../../../../io/mosip/registration/device/webcam/package-summary.html">io.mosip.registration.device.webcam</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/device/webcam/package-summary.html">io.mosip.registration.device.webcam</a> that throw <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PhotoCaptureFacade.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/device/webcam/PhotoCaptureFacade.html#captureStubApplicantPhoto-io.mosip.registration.dto.demographic.ApplicantDocumentDTO-boolean-">captureStubApplicantPhoto</a></span>(<a href="../../../../../io/mosip/registration/dto/demographic/ApplicantDocumentDTO.html" title="class in io.mosip.registration.dto.demographic">ApplicantDocumentDTO</a>&nbsp;applicantDocumentDTO,
                         boolean&nbsp;isExceptionPhoto)</code>
<div class="block">Stubs the default photo if camera is not available</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a> in <a href="../../../../../io/mosip/registration/service/package-summary.html">io.mosip.registration.service</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/package-summary.html">io.mosip.registration.service</a> that throw <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><span class="typeNameLabel">RSAEncryptionService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/RSAEncryptionService.html#encrypt-byte:A-">encrypt</a></span>(byte[]&nbsp;sessionKey)</code>
<div class="block">Encrypts the AES Session Key using RSA encryption algorithm</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><span class="typeNameLabel">AESEncryptionService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/AESEncryptionService.html#encrypt-byte:A-">encrypt</a></span>(byte[]&nbsp;dataToEncrypt)</code>
<div class="block">The API method to encrypt the data using AES Algorithm.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.external">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a> in <a href="../../../../../io/mosip/registration/service/external/package-summary.html">io.mosip.registration.service.external</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/external/package-summary.html">io.mosip.registration.service.external</a> that throw <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><span class="typeNameLabel">ZipCreationService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/external/ZipCreationService.html#createPacket-io.mosip.registration.dto.RegistrationDTO-java.util.Map-">createPacket</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registrationDTO,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,byte[]&gt;&nbsp;jsonMap)</code>
<div class="block">Returns the byte array of the packet zip file containing the Registration
 Details</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/PreRegistrationDTO.html" title="class in io.mosip.registration.dto">PreRegistrationDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PreRegZipHandlingService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/external/PreRegZipHandlingService.html#encryptAndSavePreRegPacket-java.lang.String-byte:A-">encryptAndSavePreRegPacket</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;PreRegistrationId,
                          byte[]&nbsp;preRegPacket)</code>
<div class="block">This method is used to encrypt the pre registration packet and save it into
 the disk</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PreRegZipHandlingService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/external/PreRegZipHandlingService.html#extractPreRegZipFile-byte:A-">extractPreRegZipFile</a></span>(byte[]&nbsp;preREgZipFile)</code>
<div class="block">This method is used to extract the pre registration packet zip file and reads
 the content</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">PreRegZipHandlingService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/external/PreRegZipHandlingService.html#storePreRegPacketToDisk-java.lang.String-byte:A-">storePreRegPacketToDisk</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;PreRegistrationId,
                       byte[]&nbsp;encryptedPacket)</code>
<div class="block">This method is used to store the encrypted packet into to the configured disk
 location</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">StorageService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/external/StorageService.html#storeToDisk-java.lang.String-byte:A-">storeToDisk</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;registrationId,
           byte[]&nbsp;packet)</code>
<div class="block">Writes the encrypted packet to the configured local storage</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.external.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a> in <a href="../../../../../io/mosip/registration/service/external/impl/package-summary.html">io.mosip.registration.service.external.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/external/impl/package-summary.html">io.mosip.registration.service.external.impl</a> that throw <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><span class="typeNameLabel">ZipCreationServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/external/impl/ZipCreationServiceImpl.html#createPacket-io.mosip.registration.dto.RegistrationDTO-java.util.Map-">createPacket</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registrationDTO,
            <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,byte[]&gt;&nbsp;filesGeneratedForPacket)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/PreRegistrationDTO.html" title="class in io.mosip.registration.dto">PreRegistrationDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PreRegZipHandlingServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/external/impl/PreRegZipHandlingServiceImpl.html#encryptAndSavePreRegPacket-java.lang.String-byte:A-">encryptAndSavePreRegPacket</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;PreRegistrationId,
                          byte[]&nbsp;preRegPacket)</code>
<div class="block">This method is used to encrypt the pre registration packet and save it into
 the disk</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PreRegZipHandlingServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/external/impl/PreRegZipHandlingServiceImpl.html#extractPreRegZipFile-byte:A-">extractPreRegZipFile</a></span>(byte[]&nbsp;preRegZipFile)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">PreRegZipHandlingServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/external/impl/PreRegZipHandlingServiceImpl.html#storePreRegPacketToDisk-java.lang.String-byte:A-">storePreRegPacketToDisk</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;PreRegistrationId,
                       byte[]&nbsp;encryptedPacket)</code>
<div class="block">This method is used to store the encrypted packet into to the configured disk
 location</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">StorageServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/external/impl/StorageServiceImpl.html#storeToDisk-java.lang.String-byte:A-">storeToDisk</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;registrationId,
           byte[]&nbsp;packet)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a> in <a href="../../../../../io/mosip/registration/service/impl/package-summary.html">io.mosip.registration.service.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/impl/package-summary.html">io.mosip.registration.service.impl</a> that throw <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><span class="typeNameLabel">RSAEncryptionServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/impl/RSAEncryptionServiceImpl.html#encrypt-byte:A-">encrypt</a></span>(byte[]&nbsp;sessionKey)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><span class="typeNameLabel">AESEncryptionServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/impl/AESEncryptionServiceImpl.html#encrypt-byte:A-">encrypt</a></span>(byte[]&nbsp;dataToEncrypt)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.packet">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a> in <a href="../../../../../io/mosip/registration/service/packet/package-summary.html">io.mosip.registration.service.packet</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/packet/package-summary.html">io.mosip.registration.service.packet</a> that throw <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><span class="typeNameLabel">PacketCreationService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/PacketCreationService.html#create-io.mosip.registration.dto.RegistrationDTO-">create</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registrationDTO)</code>
<div class="block">Creates the packet</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketEncryptionService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/PacketEncryptionService.html#encrypt-io.mosip.registration.dto.RegistrationDTO-byte:A-">encrypt</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registrationDTO,
       byte[]&nbsp;packetZipData)</code>
<div class="block">Encrypts the input data using AES algorithm followed by RSA.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketUploadService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/PacketUploadService.html#pushPacket-java.io.File-">pushPacket</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;packet)</code>
<div class="block">Push the packets that are marked as Synched to the server using web api.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.packet.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a> in <a href="../../../../../io/mosip/registration/service/packet/impl/package-summary.html">io.mosip.registration.service.packet.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/packet/impl/package-summary.html">io.mosip.registration.service.packet.impl</a> that throw <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>byte[]</code></td>
<td class="colLast"><span class="typeNameLabel">PacketCreationServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketCreationServiceImpl.html#create-io.mosip.registration.dto.RegistrationDTO-">create</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registrationDTO)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketEncryptionServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketEncryptionServiceImpl.html#encrypt-io.mosip.registration.dto.RegistrationDTO-byte:A-">encrypt</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationDTO.html" title="class in io.mosip.registration.dto">RegistrationDTO</a>&nbsp;registrationDTO,
       byte[]&nbsp;packetZipData)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketSynchServiceImpl.html#packetSync-java.util.List-">packetSync</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;packetsToBeSynched)</code>
<div class="block">This method is used to synch the local packets with the server.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketSynchServiceImpl.html#packetSync-java.lang.String-">packetSync</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;rId)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketUploadServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketUploadServiceImpl.html#pushPacket-java.io.File-">pushPacket</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;packet)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketSynchServiceImpl.html#syncAllPackets--">syncAllPackets</a></span>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketSynchServiceImpl.html#syncEODPackets-java.util.List-">syncEODPackets</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;regIds)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchServiceImpl.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/packet/impl/PacketSynchServiceImpl.html#syncPacketsToServer-io.mosip.registration.dto.RegistrationPacketSyncDTO-java.lang.String-">syncPacketsToServer</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationPacketSyncDTO.html" title="class in io.mosip.registration.dto">RegistrationPacketSyncDTO</a>&nbsp;syncDtoList,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.service.sync">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a> in <a href="../../../../../io/mosip/registration/service/sync/package-summary.html">io.mosip.registration.service.sync</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/service/sync/package-summary.html">io.mosip.registration.service.sync</a> that throw <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#packetSync-java.util.List-">packetSync</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="../../../../../io/mosip/registration/dto/PacketStatusDTO.html" title="class in io.mosip.registration.dto">PacketStatusDTO</a>&gt;&nbsp;packetsToBeSynched)</code>
<div class="block">Packet sync.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#packetSync-java.lang.String-">packetSync</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;rId)</code>
<div class="block">Sync packet after creation when EOD is OFF .</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#syncAllPackets--">syncAllPackets</a></span>()</code>
<div class="block">Sync all packets.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#syncEODPackets-java.util.List-">syncEODPackets</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/util/List.html?is-external=true" title="class or interface in java.util">List</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;regIds)</code>
<div class="block">Sync packets after approval/rejection in EOD when EOD is ON.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../io/mosip/registration/dto/ResponseDTO.html" title="class in io.mosip.registration.dto">ResponseDTO</a></code></td>
<td class="colLast"><span class="typeNameLabel">PacketSynchService.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/service/sync/PacketSynchService.html#syncPacketsToServer-io.mosip.registration.dto.RegistrationPacketSyncDTO-java.lang.String-">syncPacketsToServer</a></span>(<a href="../../../../../io/mosip/registration/dto/RegistrationPacketSyncDTO.html" title="class in io.mosip.registration.dto">RegistrationPacketSyncDTO</a>&nbsp;syncDtoList,
                   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>
<div class="block">This method is used to synch the packets to the server.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="io.mosip.registration.util.restclient">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a> in <a href="../../../../../io/mosip/registration/util/restclient/package-summary.html">io.mosip.registration.util.restclient</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../io/mosip/registration/util/restclient/package-summary.html">io.mosip.registration.util.restclient</a> that throw <a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">RegBaseCheckedException</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><span class="typeNameLabel">RestClientAuthAdvice.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/restclient/RestClientAuthAdvice.html#addAuthZToken-org.aspectj.lang.ProceedingJoinPoint-">addAuthZToken</a></span>(org.aspectj.lang.ProceedingJoinPoint&nbsp;joinPoint)</code>
<div class="block">The <code>Around</code> advice method which be invoked for all web services.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><span class="typeNameLabel">ServiceDelegateUtil.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/restclient/ServiceDelegateUtil.html#get-java.lang.String-java.util.Map-boolean-java.lang.String-">get</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serviceName,
   <a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&gt;&nbsp;requestParams,
   boolean&nbsp;hasPathParams,
   <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>
<div class="block">Prepare GET request.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">ServiceDelegateUtil.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/restclient/ServiceDelegateUtil.html#getAuthToken-io.mosip.registration.constants.LoginMode-">getAuthToken</a></span>(<a href="../../../../../io/mosip/registration/constants/LoginMode.html" title="enum in io.mosip.registration.constants">LoginMode</a>&nbsp;loginMode)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">RestClientUtil.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/restclient/RestClientUtil.html#invoke-io.mosip.registration.util.restclient.RequestHTTPDTO-">invoke</a></span>(<a href="../../../../../io/mosip/registration/util/restclient/RequestHTTPDTO.html" title="class in io.mosip.registration.util.restclient">RequestHTTPDTO</a>&nbsp;requestHTTPDTO)</code>
<div class="block">Actual exchange using rest template.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></code></td>
<td class="colLast"><span class="typeNameLabel">ServiceDelegateUtil.</span><code><span class="memberNameLink"><a href="../../../../../io/mosip/registration/util/restclient/ServiceDelegateUtil.html#post-java.lang.String-java.lang.Object-java.lang.String-">post</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;serviceName,
    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>&nbsp;object,
    <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerPoint)</code>
<div class="block">prepare POST request.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../io/mosip/registration/exception/RegBaseCheckedException.html" title="class in io.mosip.registration.exception">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?io/mosip/registration/exception/class-use/RegBaseCheckedException.html" target="_top">Frames</a></li>
<li><a href="RegBaseCheckedException.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2019. All rights reserved.</small></p>
</body>
</html>
